Name:           nodejs-numeral
Version:        1.5.3
Release:        2%{?dist}
Summary:        A javascript library for formatting and manipulating numbers

License:        MIT
URL:            https://github.com/adamwdraper/Numeral-js
Source0:        https://registry.npmjs.org/numeral/-/numeral-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(nodeunit)


%description
%{summary}.


%prep
%setup -q -n package
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/numeral
cp -pr package.json numeral.js languages.js languages %{buildroot}%{nodejs_sitelib}/numeral
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/nodeunit/bin/nodeunit tests/**/*.js


%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/numeral


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Aug 26 2015 Tom Hughes <tom@compton.nu> - 1.5.3-1
- Initial build of 1.5.3
